<?php
/**
* DBに商品テーブルが存在するか確認するタスク
*
* PHP version 5
*
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/
class DBTableCheckTask extends DatabaseTask implements ITask
{
	public $success;

	/*
	 *    コンストラクタ
	 */
	public function __construct()
	{
		parent::__construct();

		$this->success = FALSE;
	}

	/**
	 * イベントを処理する
	 */
	public function processEvent( IEvent $event, TaskSnapshot $snapshot )
	{
		// 接続チェック
		try{
			// 件数を取得
			$count = $this->count( s('shouhin') );

			$count = $this->count( s('manufacturer') );

			// ここまでくれば成功
			$this->success = TRUE;
		}
		catch ( Exception $e ){
			_catch( $e );

			// 失敗
			$this->success = FALSE;
		}

		return b(TRUE);
	}

}
